%define gimpplugindir %(gimptool-2.0 --gimpplugindir)
%define snapshot 20091016

Name: dlraw
# Upstream not yet released real version so we choose 'low' fake version
# that will be likely updatable to real one by rpm update
Version: 0.0.%snapshot
Release: alt1

Packager: Victor Forsyuk <force@altlinux.org>

Summary: dlraw is a graphical utility for opening and converting RAW files from digital photo cameras
License: GPLv2+
Group: Graphics

Url: http://dlraw.sourceforge.net/
Source0: http://downloads.sourceforge.net/dlraw/dlRaw-%snapshot.tar.bz2
Source1: dlraw.desktop
Source2: dlraw16.png
Source3: dlraw32.png
Source4: dlraw48.png

Patch1: dlRaw-lensfundbloadfix.patch

BuildRequires: gcc4.3-c++ libgomp4.3-devel
# FTBFS with gcc 4.4. Also lensfun source included in dlraw contains bug
# that will result in bad code when compiled by gcc-c++ 4.4
# Automatically added by buildreq on Tue Sep 15 2009
BuildRequires: libImageMagick-devel libexiv2-devel libgimp-devel libjpeg-devel liblcms-devel libqt4-devel

%package -n gimp-plugin-dlraw
Summary: GIMP plugin for opening and converting RAW files from digital photo cameras (part of dlraw project)
Group: Graphics
Requires: gimp

%description
dlRaw manipulates raw images from digital cameras. Besides dcraw functions, it
does exposure correction, curve application in RGB/CIELAB space and USM or
Refocus sharpening. Includes lensfun for lens corrections and greycstoration for
noise reduction.

%description -n gimp-plugin-dlraw
GIMP plugin for opening and converting RAW files from digital photo cameras
(part of dlraw project).

%prep
%setup -n dlRaw
%patch1 -p1

# Fix to get resources from data directory instead of relative to executable.
%__subst 's#QCoreApplication::applicationDirPath()#"%_datadir/dlraw"#' Sources/dlSettings.cpp

%build
find . -name .svn | xargs rm -rf
qmake-qt4
%make_build CXX="g++-4.3" CC="gcc-4.3"

%install
install -pD -m755 dlRaw %buildroot%_bindir/dlRaw
install -pD -m755 dlGimp %buildroot%gimpplugindir/plug-ins/dlGimp

install -d %buildroot%_datadir/dlraw
cp -a LensfunDatabase %buildroot%_datadir/dlraw
cp -a Profiles %buildroot%_datadir/dlraw
cp -a Curves %buildroot%_datadir/dlraw

install -pm644 dlRawPreview.jpg %buildroot%_datadir/dlraw/dlRawPreview.jpg
install -pm644 dlRawLogo.png %buildroot%_datadir/dlraw/dlRawLogo.png

install -pD -m644 %_sourcedir/dlraw.desktop %buildroot%_desktopdir/dlraw.desktop
install -pD -m644 %_sourcedir/dlraw16.png %buildroot%_miconsdir/dlraw.png
install -pD -m644 %_sourcedir/dlraw32.png %buildroot%_niconsdir/dlraw.png
install -pD -m644 %_sourcedir/dlraw48.png %buildroot%_liconsdir/dlraw.png

%files
%_bindir/*
%_datadir/dlraw
%_desktopdir/*
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*

%files -n gimp-plugin-dlraw
%gimpplugindir/plug-ins/*

%changelog
* Wed Oct 21 2009 Victor Forsyuk <force@altlinux.org> 0.0.20091016-alt1
- Snapshot from 16/10/2009.

* Mon Sep 28 2009 Victor Forsyuk <force@altlinux.org> 0.0.20090922-alt1
- Snapshot from 22/09/2009.

* Tue Sep 15 2009 Victor Forsyuk <force@altlinux.org> 0.0.20090911-alt1
- Snapshot from 11/09/2009.

* Thu Aug 27 2009 Victor Forsyuk <force@altlinux.org> 0.0.20090731-alt1
- Initial build.
